CFPRIME GFACT                                                           GFACT       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  GFACT (JSLNVE)                                        GFACT       3
      INCLUDE 'PARX.INS'                                                GFACT       4
CD -------------------------------------------------------------------  GFACT       5
CD                                                                      GFACT       6
CD              *****     GFACT   ROUTINE   *****                       GFACT       7
CD                                                                      GFACT       8
CD -------------------------------------------------------------------  GFACT       9
CD                                                                      GFACT      10
CD       PURPOSE:  To factorize completed G matrix.                     GFACT      11
CD                                                                      GFACT      12
CD                                                                      GFACT      13
CD       DEFINITION OF LOCAL VARIABLES:                                 GFACT      14
CD                 INFO   -  indicates matrix singularity.              GFACT      15
CD          (P)    JSLNVE -  pointer to storage of bus voltage          GFACT      16
CD                           solution data.                             GFACT      17
CD                                                                      GFACT      18
CD -------------------------------------------------------------------  GFACT      19
      INCLUDE 'UDCJ.INS'                                                GFACT      20
C                                                                       GFACT      21
      DIMENSION   JSLNVE(NDCN)                                          GFACT      22
C                                                                       GFACT      23
C---------------------------------------------------------------------  GFACT      24
C                                                                       GFACT      25
      IF(ISIZEG .GT. 0)THEN                                             GFACT      26
C                                                                       GFACT      27
         CALL DGEFA2 (GMATRX, NDCN, ISIZEG, JSLNVE, INFO)               GFACT      28
C                                                                       GFACT      29
      END IF                                                            GFACT      30
C                                                                       GFACT      31
C                                                                       GFACT      32
C---------------------------------------------------------------------  GFACT      33
C                                                                       GFACT      34
      RETURN                                                            GFACT      35
C                                                                       GFACT      36
C---------------------------------------------------------------------  GFACT      37
C                                                                       GFACT      38
      END                                                               GFACT      39
